package com.jiayue.ssi.backenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
* 审计策略配置枚举
*
* @author xsl
* @since 2023/08/18
*/
@Getter
public enum AuditAblesEventEnum {
    /**
     * nwp
     */
    NWP(0, "/nwpController/getAll"),
    /**
     * 短期
     */
    DQ(1, "/forecastPowerShortTermController/getAll");

    private Integer code;
    private String message;

    AuditAblesEventEnum(Integer code, String msg) {
        this.code = code;
        this.message = msg;
    }

    public Integer getCode() {
        return code;
    }


    public String getMsg() {
        return message;
    }

    public static AuditAblesEventEnum getByCode(Integer code) {
        for (AuditAblesEventEnum type : values()) {
            if (type.getCode().intValue()==code.intValue()) {
                return type;
            }
        }
        return null;
    }
}
